"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetch = void 0;
const https = __importStar(require("https"));
const url = __importStar(require("url"));
async function fetch(input_url, auth_token, redirect_count = 5) {
    const fetch_promise = new Promise(resolve => {
        const url_object = new url.URL(input_url);
        const headers = {
            'User-Agent': `Mozilla/5.0 (${process.platform} ${process.arch}) setup-php`
        };
        if (auth_token) {
            headers.authorization = 'Bearer ' + auth_token;
        }
        const options = {
            hostname: url_object.hostname,
            path: url_object.pathname,
            headers: headers,
            agent: new https.Agent({ keepAlive: false })
        };
        const req = https.get(options, (res) => {
            if (res.statusCode === 200) {
                let body = '';
                res.setEncoding('utf8');
                res.on('data', chunk => (body += chunk));
                res.on('end', () => resolve({ data: `${body}` }));
            }
            else if ([301, 302, 303, 307, 308].includes(res.statusCode)) {
                if (redirect_count > 0 && res.headers.location) {
                    fetch(res.headers.location, auth_token, redirect_count--).then(resolve);
                }
                else {
                    resolve({ error: `${res.statusCode}: Redirect error` });
                }
            }
            else {
                resolve({ error: `${res.statusCode}: ${res.statusMessage}` });
            }
        });
        req.end();
    });
    return await fetch_promise;
}
exports.fetch = fetch;
//# sourceMappingURL=fetch.js.map