"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.search = void 0;
const cv = __importStar(require("compare-versions"));
const fetch = __importStar(require("./fetch"));
async function search(package_name, php_version) {
    const response = await fetch.fetch(`https://repo.packagist.org/p2/${package_name}.json`);
    if (response.error || response.data === '[]') {
        return null;
    }
    const data = JSON.parse(response['data']);
    if (data && data.packages) {
        const versions = data.packages[package_name];
        versions.sort((a, b) => cv.compareVersions(b.version, a.version));
        const result = versions.find((versionData) => {
            if (versionData?.require?.php) {
                return versionData?.require?.php
                    .split('|')
                    .some(require => require && cv.satisfies(php_version + '.0', require));
            }
            return false;
        });
        return result ? result.version : null;
    }
    return null;
}
exports.search = search;
//# sourceMappingURL=packagist.js.map